RoutesOrders module

Orders routes

URLs the Orders module answers, their parameters and the variables each view receives.

View cdna-admin screens of this module.

Admin view

GET /cdna-admin/orders/{id} editOrder

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+

The admin template receives
VariableTypeDescription
$order Order Retrieved Order record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/orders/orders/{person.id} manageOrders

Retrieve available records and assign them to the template for editing.

The admin template receives
VariableTypeDescription
$orders Collection<Order> Collection of Orders

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/orders/add-metadata-field addMetadataField

Add a new record. Assigns an empty record to the template.

The admin template receives
VariableTypeDescription
$metadataField MetadataField Single (empty) MetadataField record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/orders/metadata-field/{id}/{revision.id} editMetadataField

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+revision.id matches \d+

The admin template receives
VariableTypeDescription
$metadataField MetadataField Retrieved MetadataField record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/orders/metadata-fields manageMetadataFields

Retrieve available records and assign them to the template for editing.

The admin template receives
VariableTypeDescription
$metadataFields Collection<MetadataField> Collection of MetadataFields

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/orders/refund/{id} editRefund

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+

The admin template receives
VariableTypeDescription
$refund Refund Retrieved Refund record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/orders/refunds manageRefunds

Retrieve available records and assign them to the template for editing.

The admin template receives
VariableTypeDescription
$refunds Collection<Refund> Collection of Refunds

Common variables such as $_url, $_request and $_menu are available too. Global template variables

Only GET routes list their variables.